Bug 116666 - network-functions:is_available() may leave with hotplug=/bin/true
network-functions:is_available() may leave with hotplug=/bin/true
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-02-24 04:24 EST by Alexandre Oliva
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-16 19:31:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch that works around the behavioral changes in modprobe (1.03 KB, patch)
2004-02-24 04:27 EST, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Alexandre Oliva 2004-02-24 04:24:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
is_available contains such code as:

   HOTPLUG=`cat /proc/sys/kernel/hotplug`
    echo "/bin/true" > /proc/sys/kernel/hotplug
    modprobe $1 > /dev/null 2>&1 || return 1
    echo "$HOTPLUG"  > /proc/sys/kernel/hotplug

Not good if modprobe returns a non-zero exit status, which it quite
often does because of bug 116656.

The code right above that:

    alias=`modprobe -c | awk "/^(alias|install) $1 / { print \\$3 }"`
    if [ -z "$alias" -o "$alias" = "off" -o "$alias" = "/bin/true" ]; then

also fails with the new modprobe, per bug 116657.  alias will be set
to the module alias followed by /bin/true.

In general, none of this should matter, since we'll have already
loaded the modules, but if we haven't, this code will fail to do so.

Version-Release number of selected component (if applicable):
Comment 1 Alexandre Oliva 2004-02-24 04:27:22 EST
Created attachment 97977 [details]
Patch that works around the behavioral changes in modprobe
Comment 2 Bill Nottingham 2004-03-16 19:31:27 EST
Hotplug resetting fixed in 7.47-1; the latter shouldn't be an issue

Note You need to log in before you can comment on or make changes to this bug.